Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 146761 - KompoZer (the succesor of NVU) ebuild request
Summary: KompoZer (the succesor of NVU) ebuild request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement with 8 votes (vote)
Assignee: Default Assignee for New Packages
URL: http://kompozer.net/
Whiteboard:
Keywords: EBUILD
: 185245 201766 213246 274094 (view as bug list)
Depends on:
Blocks: 271214
  Show dependency tree
 
Reported: 2006-09-07 16:37 UTC by Tudor
Modified: 2011-05-05 05:24 UTC (History)
26 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
kompozer-0.7.10.ebuild (kompozer-0.7.10.ebuild,1.56 KB, text/plain)
2007-10-30 23:09 UTC, Albert Zeyer
Details
Updated ebuild to make a desktop icon for Gnome/KDE (kompozer-0.7.10.ebuild,1.93 KB, text/plain)
2007-12-31 23:34 UTC, Jason Ayres
Details
files/kompozer.desktop -- Desktop Icon file (kompozer.desktop,197 bytes, text/plain)
2007-12-31 23:45 UTC, Jason Ayres
Details
First shot at an ebuild for kompozer-0.8a4; fails in 'compile' (kompozer-0.8_alpha4.ebuild,919 bytes, text/plain)
2009-05-21 19:19 UTC, Rabbe Fogelholm
Details
Improved according to comment #36. (kompozer-0.8_alpha4.ebuild,4.77 KB, text/plain)
2009-05-24 18:48 UTC, Rabbe Fogelholm
Details
Working ebuild, with dirty Bugfix. (kompozer-0.8_alpha4.ebuild,1.37 KB, text/plain)
2009-05-25 10:42 UTC, Andreas G
Details
files/mozconfig-0.8_alpha4 -- Configfile for the ebuild in comment #39 (mozconfig-0.8_alpha4,2.46 KB, text/plain)
2009-05-25 10:45 UTC, Andreas G
Details
Output of `emerge --info' related to the failed emerge attempt in Comment #45 (i.txt,3.02 KB, text/plain)
2009-05-28 20:20 UTC, Rabbe Fogelholm
Details
Added check: pango needs to be built with USE=X (kompozer-0.8_alpha4.ebuild,1.58 KB, text/plain)
2009-05-30 21:07 UTC, Rabbe Fogelholm
Details
kompozer-0.8b1 Released Oct 11 2009 (kompozer-0.8_beta1.ebuild,1.56 KB, text/plain)
2009-10-16 08:05 UTC, Roger
Details
files/mozconfig-0.8_beta1 (mozconfig-0.8_beta1,2.46 KB, text/plain)
2009-10-16 08:06 UTC, Roger
Details
Ebuild which generates automatically mozconfig and localize automatically KompoZer (kompozer-0.8_beta2.ebuild,5.26 KB, text/plain)
2009-11-13 23:51 UTC, Dabrouch
Details
kompozer-0.8b1 Released Oct 11 2009 (kompozer-0.8_beta1.ebuild,1.69 KB, text/plain)
2009-12-10 05:38 UTC, Roger
Details
This is WIP and the next version of kompozer-0.8_beta1.ebuild -- This is MASKED (kompozer-0.8_beta2.ebuild,5.62 KB, text/plain)
2009-12-10 05:45 UTC, Roger
Details
kompozer-0.8_beta1.ebuild (kompozer-0.8_beta1.ebuild,1.81 KB, text/plain)
2010-03-11 10:06 UTC, Roger
Details
emerge --info (tmp,4.03 KB, text/plain)
2010-03-14 15:03 UTC, Peter Humphrey
Details
New kompozer.desktop (kompozer.desktop,189 bytes, text/plain)
2010-03-26 02:33 UTC, Dominique Michel
Details
Modifed mozcoreconf-2.eclass to work with kompozer (mozcoreconf-2.eclass,9.27 KB, text/plain)
2010-03-26 02:34 UTC, Dominique Michel
Details
kompozer-0.8_beta3.ebuild (kompozer-0.8_beta3.ebuild,3.91 KB, text/plain)
2010-03-26 02:41 UTC, Dominique Michel
Details
kompozer-0.8_beta3.ebuild (kompozer-0.8_beta3.ebuild,5.57 KB, text/plain)
2010-03-27 18:59 UTC, Dominique Michel
Details
kompozer 0.8b3 ebuild (kompozer-0.8_beta3.ebuild,7.07 KB, text/plain)
2010-03-28 00:24 UTC, Dominique Michel
Details
modified mozcoreconf-2 eclass (mozcoreconf-2.eclass,9.20 KB, text/plain)
2010-03-28 00:26 UTC, Dominique Michel
Details
mozextension eclass (mozextension.eclass,2.01 KB, text/plain)
2010-03-28 00:28 UTC, Dominique Michel
Details
New path for all dictionaries. (kompozer-0.8_beta3.ebuild,7.06 KB, text/plain)
2010-08-29 13:09 UTC, niogic
Details
strip -Wl,--as-needed LD flag (kompozer-0.8_beta3.ebuild,7.10 KB, text/plain)
2010-08-29 16:35 UTC, niogic
Details
Kompozer failed emerge: error reading mozconfig: ac_add_options --enable-extensions="default spellcheck" (kompozer-FailedEmerge.log,1.47 KB, text/plain)
2010-09-06 23:46 UTC, Roger
Details
Removes a line within mozconfig containing syntax mozconfig_final couldn't handle (kompozer-0.8_beta3.ebuild,7.63 KB, text/plain)
2011-01-16 09:20 UTC, Roger
Details
Fixes building with libpng14. See Bug #319575 and Bug #323513. (seamonkey-libpng14.patch,851 bytes, text/plain)
2011-01-16 11:23 UTC, Roger
Details
Added seamonkey-libpng14.patch (kompozer-0.8_beta3.ebuild,7.74 KB, text/plain)
2011-01-16 11:24 UTC, Roger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tudor 2006-09-07 16:37:07 UTC
KompoZer is the succesor of NVU

http://kompozer.net/
Comment 1 anarchy 2006-09-15 15:37:51 UTC
http://www.glazman.org/weblog/dotclear/index.php?2006/09/15/2074-kompozer

This is by far the biggest joke of 2006. It is far from a succesor it is mearly a bug fix with many patches that were rejected upstream. Have a full ready before you jump the gun nvu will release the next generation based on xulrunner soon.
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2006-11-12 07:36:02 UTC
Closing WONTFIX; submit patches upstream instead of pointless forking.
Comment 3 Jérôme Brilland 2007-06-13 19:24:07 UTC
It's not possible to submit patches. Nvu is not maintained anymore and it's not possible to release a new version because the name Nvu is copyrighted. Linspire refuses all fixes and improvement proposals. Composer2 is not ready at all. So Kompozer is not a pointless forking. It's the successor of Nvu and we need it ! Could you reopen the bug, please ?
Comment 4 Fabio Bonfante 2007-10-02 08:22:12 UTC
I confirm, NVU development is stopped and KompoZer is taking it's own way... please reopen the bug ;-)
Comment 5 Lampros Liontos 2007-10-17 17:07:14 UTC
After a year, it would seem that this bug might benefit from a re-opening.

According to Daniel Glazman at http://www.glazman.org/weblog/dotclear/index.php, "I dropped Nvu entirely."  It seems to me that the reason for the fork is to independently maintain the discontinued codebase without treading on the protected logo and name "Nvu."  As a matter of fact, the nvu.com website also links to the kompozer site.

It would seem that while unofficial, the fork is far from pointless.
Comment 6 Albert Zeyer 2007-10-30 22:14:44 UTC
Please reopen this bug. NVU development is stopped. The developers aren't active anymore and ignoring some important problems.

Look also here: bug 197566
Comment 7 Albert Zeyer 2007-10-30 23:09:54 UTC
Created attachment 134753 [details]
kompozer-0.7.10.ebuild

first ebuild (which was mainly based on the latest nvu ebuild)
Comment 8 Ken Rushia 2007-12-06 04:27:57 UTC
Please reopen this bug.  NVU is no longer actively developed.  KompoZer is what all the NVU people say to use now.  This is not "pointless forking".
Comment 9 Jakub Moc (RETIRED) gentoo-dev 2007-12-09 12:53:26 UTC
*** Bug 201766 has been marked as a duplicate of this bug. ***
Comment 10 Andri Möll 2007-12-16 20:46:16 UTC
I can assure the ebuild works nicely, and also support reopening this so that KompoZer could be in Portage.
Comment 11 Jason Ayres 2007-12-31 23:34:33 UTC
Created attachment 139765 [details]
Updated ebuild to make a desktop icon for Gnome/KDE
Comment 12 Jason Ayres 2007-12-31 23:45:19 UTC
Created attachment 139767 [details]
files/kompozer.desktop -- Desktop Icon file
Comment 13 cburroughs 2008-02-14 21:45:01 UTC
This bug was closed wrongfully.  KompoZer is even pointed to by nvu.com.  Please reopen.
Comment 14 Jeff Kowalczyk 2008-02-22 03:53:59 UTC
The kompozer ebuild should address the following file collision, probably deferring to dev-libs/nspr:

 * Messages for package app-editors/kompozer-0.7.10:

 * This package will overwrite one or more files that may belong to other
 * packages (see list below). Add "collision-protect" to FEATURES in
 * make.conf if you would like the merge to abort in cases like this. You
 * can use a command such as `portageq owners / <filename>` to identify
 * the installed package that owns a file. If portageq reports that only
 * one package owns a file then do NOT file a bug report. A bug report is
 * only useful if it identifies at least two or more packages that are
 * known to install the same file(s). If a collision occurs and you can
 * not explain where the file came from then you should simply ignore the
 * collision since there is not enough information to determine if a real
 * problem exists. Please do NOT file a bug report at
 * http://bugs.gentoo.org unless you report exactly which two packages
 * install the same file(s). Once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 * 
 * Detected file collision(s):
 * 
 *      /usr/share/aclocal/nspr.m4
 * GNU info directory index is up-to-date.

# equery belongs /usr/share/aclocal/nspr.m4
[ Searching for file(s) /usr/share/aclocal/nspr.m4 in *... ]
app-editors/kompozer-0.7.10 (/usr/share/aclocal/nspr.m4)
dev-libs/nspr-4.7 (/usr/share/aclocal/nspr.m4)

But thanks very much for the ebuild I went looking for nvu today by coincidence.
Comment 15 Zhang Weiwu 2008-03-13 06:33:44 UTC
I don't understand, I just jumped from ubuntu to gentoo and Ubuntu has kompozer. My colleagues are using kompozer too. In fact, everybody I know of in my real life (3 of them), who had been using nvu, are all turned to kompzer. What is really stopping it getting into ebuild?

In opensource forking is the vital means to evolve software.
Comment 16 Albert Zeyer 2008-03-13 12:02:42 UTC
In bug 185245 here are some comments from the main dev:

    * yes, I know that Nvu was impossible to download from nvu.com. I pinged
Linspire and they updated the page.
       Everything should be ok now.
    * no, I have no more relationship with Linspire about Nvu.
    * yes, the name Nvu and its logo are protected.
    * no, I'm not helping on Kompozer and yes, I dropped Nvu entirely.
    * no, Composer is not dead at all, it's only evolving slowly because I'm
working on it on my spare time.
    * no, I don't think Kompozer is going to live a long time. Kompozer is only
a chrome bug-fix of Nvu and it's still based on the Mozilla 1.7 codebase. It's
obsolete. Compared to Composer, Nvu and Kompozer will look like dinosaurs
    * yes, Composer will be MPL.
    * yes, Composer's code is only minimally based on Nvu's.
    * no, Composer is only a code name. The final name is not chosen yet.


There are also a lot of existing upstream bugs. The only chance to get them fixed for now is either from Gentoo or in Kompozer.

See also bug 213246
Comment 17 Jakub Moc (RETIRED) gentoo-dev 2008-03-13 12:02:43 UTC
*** Bug 213246 has been marked as a duplicate of this bug. ***
Comment 18 Jakub Moc (RETIRED) gentoo-dev 2008-03-13 12:03:04 UTC
*** Bug 185245 has been marked as a duplicate of this bug. ***
Comment 19 Jakub Moc (RETIRED) gentoo-dev 2008-03-13 12:03:34 UTC
Reopen...
Comment 20 Albert Zeyer 2008-03-13 12:20:55 UTC
Thanks Jakub :)

I understand the point that a bug-fixing fork is not nice, though it's the only possibility if you have a dead project with a protected name.

And until his Composer is not ready (and it seems that it will still take quite some time) this is the only real alternative (ok, there are two others, both even worse: keep NVU in and ignore KompoZer; drop NVU and ignore KompoZer).
Comment 21 Aleksey Lazar 2008-04-10 19:23:56 UTC
So is the collision (Comment #14) what's stopping this ebuild from being added?
Comment 22 Kola Bernard 2008-05-24 18:36:35 UTC
I have Problem to install german langpack with the extensionmanager. I use the last ebuild from this page.

Here an workaround in the german forum:
http://forums.gentoo.org/viewtopic-p-5102965.html#5102965

Short:
There are needed two emty files in the /usr/lib/kompozer/extensions directory:
~ # ls -la /usr/lib/kompozer/extensions/
insgesamt 8
drwxr-xr-x  2 root root 4096 24. Mai 12:52 .
drwxr-xr-x 10 root root 4096 24. Mai 12:50 ..
-rw-r--r--  1 root root    0 24. Mai 12:52 Extensions.rdf
-rw-r--r--  1 root root    0 24. Mai 12:52 installed-extensions-processed.txt
Comment 23 lordcris 2008-09-28 22:06:54 UTC
can somebody add this to the portage tree, por favor?
Comment 24 Andreas G 2008-12-26 12:43:41 UTC
Hi,
why is there no decision yet?

I mean, NVU is discontinued since 3 years...
And KompoZer is nothing more than a few Bugfixes and Patches

There are lots of Bugs which aren't fixed, in NVU and KompoZer, like: 
http://sourceforge.net/tracker/index.php?func=detail&aid=2339056&group_id=170132&atid=853122

In my opportunity, we have two choices:
- remove NVU and ignore KompoZer (cause it's quite the same)
- remove NVU and add KompoZer to the portage tree
But NVU should really be removed...

The NVU/KompoZer-Users should think about changing to Quanta.
Comment 25 Zhang Weiwu 2008-12-26 12:53:00 UTC
You are definitely right on that kompozer should replace nvu or be at very least as important as nvu in gentoo portage.
Hi.
Kompozer and Quanta targets different groups of users, with different features, different purpose and they falls into different categorizes of software.

I've been using nvu (because gentoo only has it), kompozer (in my other PCs) and a lot other editors for years. I don't recommend to switch to Quanta to everybody without understanding what do they do with their editor.

The same reason I don't recommend using latex to a school teacher trying to quickly make beautiful printed colorful award for pupils, even though I use latex and consider it definitely the best tool for my reports and paper.


Comment 26 niogic 2009-02-14 14:52:22 UTC
please change version to 2008.0
and .. please resolve it?
Comment 27 Chin Yee 2009-04-08 09:50:26 UTC
I downloaded the binary version of kompoZer-0.8a2 from,

http://sourceforge.net/project/showfiles.php?group_id=170132&package_id=194013&release_id=673725

and extracted it to /opt/kompozer-0.8a2. Then I Edited the file "kompozer" so that the line containing moz_libdir reads,

moz_libdir=/opt/kompozer-0.8a2 

and I can start using it. Perhaps someone can make an ebuild for it.
Comment 28 Rabbe Fogelholm 2009-04-08 10:48:05 UTC
Interesting .. if bugfixed enough maybe this can be an alternative to Seamonkey Composer?
Comment 29 siebz0r 2009-04-09 12:58:38 UTC
kompozer crashes when the mouse hovers over several menus. This is a known bug and I believe it has something to do with the new Gecko engine.

A workaround is to access the menus with keyboard.
Silly? I think so! :)

Does anyone know a fix for this?
I tried editing the ebuild to install the 0.8a2 version of kompozer, but as far as I can see it's only available in pre-compiled packages.

I don't know if 0.8a2 fixes this mouse-over-bug, but I think it's worth trying.
Comment 30 Zhang Weiwu 2009-04-09 13:11:51 UTC
speaking of crashing, I recall there are other reasons to make kompozer crash, e.g. doing something on the source code. However, I also recall at home using Gentoo NVU crashed multiple times when I work on a prince table (there is a good reason making table in NVU: it's far more difficult to make HTML tables in vim or jedit, especially join and split table cells).

both NVU and KOMPOZER doesn't have AUTOSAVE feature, give me mixed feeling towards them.
Comment 31 Liviu Andronic 2009-04-23 06:43:14 UTC
(In reply to comment #30)
> good reason making table in NVU: it's far more difficult to make HTML tables in
> vim or jedit, especially join and split table cells).
> 
Why not use SeaMonkey Composer? 

Comment 32 Zhang Weiwu 2009-04-23 07:01:18 UTC
I thought seamonkey's composer is unmaintained (I also heard Daniel Glazman planned to make his project an improvement of seamonkey's composer but decided for a separate new product BlueGriffon.

But anyway, since you bring this up, I'd check seamonkey composer see what they have there now.
Comment 33 Rabbe Fogelholm 2009-04-24 06:59:30 UTC
I've been using Seamonkey Composer for the last 3 or so years. I just maintain my fairly simple static webpages and for that purpose it does the job. I also think of it as reliable: No crashes, no broken output. Actually the composer is my main reason for sticking with Seamonkey instead of Firefox.
Comment 34 Rabbe Fogelholm 2009-05-21 09:04:39 UTC
Kompozer recently got a favourable review recently (http://www.linuxplanet.com/linuxplanet/reviews/6753/2/). The application is described as "fast and stable". Maybe there has been improvements.

The website (http://kompozer.net) shows signs of recent activity. This note may be of interest:

"Linux users: KompoZer 0.7.10 is not compatible with GTK 2.14 and higher, hence the crashes. Please have a look at KompoZer 0.8 alpha."
Comment 35 Rabbe Fogelholm 2009-05-21 19:19:59 UTC
Created attachment 192060 [details]
First shot at an ebuild for kompozer-0.8a4; fails in 'compile'

See http://forums.gentoo.org/viewtopic-p-5741882.html
Comment 36 Andreas G 2009-05-24 12:03:06 UTC
Hi,
glad to hear that this project is still up.

@Rabbe Fogelholm:
You forgot a few things in the .mozconfig file:
Add
>	echo 'ac_add_options --enable-application=composer' >>.mozconfig
>	echo 'ac_add_options --enable-system-cairo' >>.mozconfig
>	echo 'ac_cv_visibility_pragma=no' >>.mozconfig
or (if you want to use the config for ubuntu)
>	cat composer/config/mozconfig.ubuntu | grep -v gnome > .mozconfig
in src_unpack.

Both will fail with:
nsModule.cpp:(.text+0x26d): undefined reference to `nsAutoCompleteItem::nsAutoCompleteItem()
Comment 37 Zhang Weiwu 2009-05-24 12:24:46 UTC
Just to let you know now I am switched away from Gentoo Linux to Debian Linux. Lack of kompozer (and together lack of time to compile self-made package and deal with potential problems) contributes to one of the reason.
Comment 38 Rabbe Fogelholm 2009-05-24 18:48:49 UTC
Created attachment 192328 [details]
Improved according to comment #36.

Thanks Andreas,

I added config commands according to your comment #36. They helped quite considerably; the 'compile' step now succeeds! The 'install' step fails for me too though, with just the messages that you described.
Comment 39 Andreas G 2009-05-25 10:42:15 UTC
Created attachment 192388 [details]
Working ebuild, with dirty Bugfix.

Hi,
i found that comment in mozilla/xpfe/components/build2/nsModules.cpp:
> "// minotaur specific stuff that will get smaller and smaller until it shrinks to zero."
So i decided to remove the 'build2' directory from 'mozilla/xpfe/components/Makefile.in' to avoid the Error (Comment #36) on 'make -f client.mk install'.

This solution isn't fine, but it works.
Comment 40 Andreas G 2009-05-25 10:45:05 UTC
Created attachment 192389 [details]
files/mozconfig-0.8_alpha4 -- Configfile for the ebuild in comment #39
Comment 41 Rabbe Fogelholm 2009-05-25 13:27:26 UTC
I can confirm successful compile, install and application launch for the 2009-05-25 10:42 ebuild on a Gentoo box.

The Gentoo box was fully updated 10 months ago and has not had any updates since then. The `emerge kompozer' operation did not pull in any dependencies, so it seems that this ebuild is compatible with a somewhat out-of-date platform. I will go on and emerge against a fully updated machine now.
Comment 42 Andreas G 2009-05-25 15:27:11 UTC
(In reply to comment #41)

Thanks for testing it, until now it works on my ~amd64-nomultilib system with gtk-2.16 without any crash.

I had added a part to remove /usr/share/aclocal/nspr.m4 in src_install() to avoid package collision (like in comment #14). The same part is in the last nvu ebuild too, but i'm not sure if this file is necessary.
Someone should test this ebuild on a system without dev-libs/nspr.

wfg, unregistr3d
Comment 43 Ludwid Reyes 2009-05-26 03:21:29 UTC
I'm a Sabayon user, and I can confirm that your latest kompozer-0.8_alpha4 ebuild worked flawlessly on my fully up to date system. Thanks a lot for doing this.
Comment 44 Roger 2009-05-28 09:35:32 UTC
<shrugs> if not committed to the main Portage tree, why not commit to the Sunrise tree?

(Think most Gentoo users subscribe to the Sunrise overlay as they likely get tired of waiting for ebuild commits.)

(NVU user here as well & noticed the bugs.  Find NVU more useful then the Mozilla Composer.)
Comment 45 Rabbe Fogelholm 2009-05-28 20:17:21 UTC
I have set up a virtual guest under 'kvm' and made a stage3 Gentoo installation to it. I then added the kompozer-0.8_alpha4 ebuild and tried to emerge it in the absence of dev-libs/nspr. This failed, below is what the console output looked like. Any ideas welcome. Would it be of interest to emerge nspr and then retry?

/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/mozilla/gfx/src/gtk/nsDeviceContextGTK.cpp:520: warning: conversion to 'float' from 'nscoord' may alter its value
/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/mozilla/gfx/src/gtk/nsDeviceContextGTK.cpp:521: warning: conversion to 'float' from 'nscoord' may alter its value
/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/mozilla/gfx/src/gtk/nsDeviceContextGTK.cpp:522: warning: conversion to 'float' from 'nscoord' may alter its value
/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/mozilla/gfx/src/gtk/nsDeviceContextGTK.cpp:523: warning: conversion to 'float' from 'nscoord' may alter its value
/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/mozilla/gfx/src/gtk/nsDeviceContextGTK.cpp: In function 'PRInt32 GetOSDPI()':
/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/mozilla/gfx/src/gtk/nsDeviceContextGTK.cpp:1072: warning: conversion to 'float' from 'double' may alter its value
/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/mozilla/gfx/src/gtk/nsDeviceContextGTK.cpp: In function 'PRInt32 GetXftDPI()':
/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/mozilla/gfx/src/gtk/nsDeviceContextGTK.cpp:1099: warning: conversion to 'float' from 'double' may alter its value
gmake[5]: *** [nsDeviceContextGTK.o] Error 1
gmake[5]: Leaving directory `/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/obj-kompozer/gfx/src/gtk'
gmake[4]: *** [libs] Error 2
gmake[4]: Leaving directory `/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/obj-kompozer/gfx/src'
gmake[3]: *** [libs] Error 2
gmake[3]: Leaving directory `/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/obj-kompozer/gfx'
gmake[2]: *** [tier_9] Error 2
gmake[2]: Leaving directory `/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/obj-kompozer'
make[1]: *** [default] Error 2
make[1]: Leaving directory `/sdb1/tmp/portage/app-editors/kompozer-0.8_alpha4/work/obj-kompozer'
make: *** [build] Error 2
 * 
 * ERROR: app-editors/kompozer-0.8_alpha4 failed.
Comment 46 Rabbe Fogelholm 2009-05-28 20:20:14 UTC
Created attachment 192752 [details]
Output of `emerge --info' related to the failed emerge attempt in Comment #45

Added: Output of `emerge --info' related to the failed emerge attempt in Comment #45
Comment 47 Rabbe Fogelholm 2009-05-30 21:07:59 UTC
Created attachment 193010 [details]
Added check: pango needs to be built with USE=X

Some progress today. First of all, dev-libs/nspr is not needed for building kompozer. Second, pango must be built with USE=X. I added code to the ebuild for checking this (cloned from the www-client/seamonkey ebuild).
Comment 48 Serkan Kaba (RETIRED) gentoo-dev 2009-06-14 09:37:01 UTC
*** Bug 274094 has been marked as a duplicate of this bug. ***
Comment 49 lordcris 2009-06-21 00:37:14 UTC
anyone willing to add this to an overlay or to the portage tree?
Comment 50 Chris Henhawke 2009-07-01 00:59:16 UTC
nvu is now blocked in portage, when will kompozer hit the tree?
Comment 51 painteru 2009-09-04 09:04:27 UTC
Hello!
I don't know how to use this file : mozconfig-0.8_alpha4 . 
Where to put it ?
I think I need it because I tried to emerge compozer using the last ebuil posted here and it failed saying something about to set the add_options --enable-application=ADD ( I think it mast be composer as is in mozconfig-0.8_alpha4)  in the mozconfig file. 
So, please, can you tell me where to put that file!?
Comment 52 Andreas G 2009-09-04 12:16:53 UTC
(In reply to comment #51)
> So, please, can you tell me where to put that file!?
> 

in .../app-editor/kompozer/files/  ;)
Comment 53 wayne 2009-09-10 02:07:04 UTC
app-editor/kompozer/files is where i would put it.
Comment 54 wayne 2009-09-10 02:13:54 UTC
This should be EAPI="2"
Comment 55 Dragos Ilie 2009-10-02 22:32:53 UTC
I used nvu before, but I am not picky. Since nvu is no longer available I'm willing to give kompozer a shot. Is there a kompozer ebuild available? Somebody maintaining an overlay? If neither nvu or kompozer are available, what choices are left? Is there an WYSIWYG HTML editor available for Gentoo (native, no Wine stuff). Seamonkey?
Comment 56 Roger 2009-10-03 06:10:52 UTC
I've used NVU for the past 4-5 years because it wasn't as bloated as Mozilla/Seamonkey (Composer).  I think I also liked it for the clean HTML code it generated compared to Mozilla.  Because it wasn't bloated, it performed quite robustly and recompiling it was a breeze.

As to why this ebuild hasn't been introduced, <shrugs>.

For the past year, I've noticed quite a few packages becoming extremely bloated going against good UNIX programing practices of small & simple.

As such, I've migrated to DWM (desktop gui) & Dillo (browser).  I've also been doing more reading on VIM usage.  So I might be resorting to VI/VIM for html editing if this package isn't introduced -- should at least be in Sunrise. <shrugs>
Comment 57 wayne 2009-10-03 23:02:12 UTC
(In reply to comment #56)
I will make an ebuild soon as kde4 in in the main tree. The sad thing is the admins may never put the ebuild in the tree:(.

> I've used NVU for the past 4-5 years because it wasn't as bloated as
> Mozilla/Seamonkey (Composer).  I think I also liked it for the clean HTML code
> it generated compared to Mozilla.  Because it wasn't bloated, it performed
> quite robustly and recompiling it was a breeze.
> 
> As to why this ebuild hasn't been introduced, <shrugs>.
> 
> For the past year, I've noticed quite a few packages becoming extremely bloated
> going against good UNIX programing practices of small & simple.
> 
> As such, I've migrated to DWM (desktop gui) & Dillo (browser).  I've also been
> doing more reading on VIM usage.  So I might be resorting to VI/VIM for html
> editing if this package isn't introduced -- should at least be in Sunrise.
> <shrugs>
> 

Comment 58 Roger 2009-10-04 23:21:24 UTC
In ref to comment #57 -> I'm stupified. Why is kde4 even an issue??  From my brief research yesterday, gtk is used.  Simply because the name states an initial "k" has no reference to kde. (See Kompozer FAQ)  Thank God!

BTW, I'm playing around updating my website with the author's provided binary. (I'm being lazy.)
Comment 59 wayne 2009-10-05 01:04:57 UTC
(In reply to comment #58)

wow that is what I get for not reading I was expecting a Qt based program with a name like that.

> In ref to comment #57 -> I'm stupified. Why is kde4 even an issue??  From my
> brief research yesterday, gtk is used.  Simply because the name states an
> initial "k" has no reference to kde. (See Kompozer FAQ)  Thank God!
> 
> BTW, I'm playing around updating my website with the author's provided binary.
> (I'm being lazy.)
> 

Comment 60 Roger 2009-10-16 06:42:31 UTC
Using kompozer-0.8_alpha4.ebuild 2009-05-30:

# ebuild ./kompozer-0.8b1.ebuild digest
!!! app-editor/kompozer-0.8b1 does not follow correct package syntax.

Wonderful.  Also, these sources also look quite outdated according to the Kompozer website.  Now I know why this hasn't even been considered for merge into portage or overlay!

Also, when submitting new ebuilds, please the previous submissions as "supercededs" so a nice line is marked through the older irrelevant ebuilds.  (ie.kompozer-0.8_alpha4.ebuild)

I'm currently looking over kompozer-0.8b1 just released this month.
Comment 61 Roger 2009-10-16 08:05:06 UTC
Created attachment 207283 [details]
kompozer-0.8b1 Released Oct 11 2009

Updated kompozer ebuild to kompozer-0.8_beta1
Comment 62 Roger 2009-10-16 08:06:27 UTC
Created attachment 207284 [details]
files/mozconfig-0.8_beta1

Updated mozconfig file for 0.8_beta1 release.
Comment 63 Roger 2009-10-21 19:53:24 UTC
OK.  It's been seven days since my last inquiry on this.  Marking as maintainer-wanted and will try to push into Sunrise overlay when I get more free time. ;-)

Or, if somebody else gets time, once this is marked as maintainer-wanted, all they should have to do is pull an SVN overlay, modify, and then push the overlay upstream. ;-)

Basic Info:
http://www.gentoo.org/proj/en/sunrise/

How to commit docs:
http://overlays.gentoo.org/proj/sunrise
Comment 64 Dabrouch 2009-11-13 23:51:21 UTC
Created attachment 210182 [details]
Ebuild which generates automatically mozconfig and localize automatically KompoZer

Hello guys,

I propose an ebuild with the help of the main developer, Kaze. It is based on the previously ebuild proposed here, but it doesn't need a mozconfig file, it generates automatically. It also localize the application by downloading the right xpi translation. It just misses USE flag, but i don't know which option we can propose with USE flag. Try to ask to Kaze. And more, it doesn't appear on DM menu (tested on Xfce), i don't know why. See my attachment.

Friendly.
Comment 65 Roger 2009-11-16 04:04:09 UTC
In ref to comment #64.

I assume any help with this would be great (as nobody has posted a follow-up).  I'm assuming most to either be using mozilla composer or the binary of kompozer.

From what I see, this is ready to be pushed into sunrise overlay.  Somebody just has to read "How to commit to Portage's Sunrise overlay" and use svn commit.  This is already marked "maintainer-wanted"

Sorry I haven't done it myself yet.  I'm so strapped for time, I don't even have time for this.  It's a tough decision, either spend time committing this to sunrise, or freeze in -60F here.

Dabrouch, as far as I'm concerned, if you want to volunteer a rewrite, do so, but leave the current ebuild's unsuperceded -- this way, when I *do* get time, I have something to push to sunrise if something is full of bugs.

Matter of fact, the reporter of this bug has never posted anything other then opening this bug. 
Comment 66 Dabrouch 2009-12-09 22:39:41 UTC
(In reply to comment #65)
> In ref to comment #64.

Sorry roger, i've made this ebuild in helping Kaze to propose it in the official site. He encourages me to post here. However, at the moment i have no time to maintain in overlay, but you can have punctually my help if needed, you can join me.
Comment 67 Roger 2009-12-10 03:38:07 UTC
I'm in the process of making the initial import into Sunrise using the most recent working ebuild kompozer-0.8_beta1.ebuild.

Might I recommend renaming to a higher version and, setting a mask and/or marking your commit as for testing?
Comment 68 Roger 2009-12-10 04:48:45 UTC
Comment on attachment 210182 [details]
Ebuild which generates automatically mozconfig and localize automatically KompoZer

The big naming nutshell game.

Think I finally got a versioning naming syntax that works for our situation
Comment 69 Roger 2009-12-10 04:50:24 UTC
Comment on attachment 207283 [details]
kompozer-0.8b1 Released Oct 11 2009

This ebuild is known to work (for me) and hopefully will get it pushed into Sunrise.


(The next version will apparently incorporate a linguas variable?)
Comment 70 Roger 2009-12-10 05:35:28 UTC
Comment on attachment 207283 [details]
kompozer-0.8b1 Released Oct 11 2009

... on more time. Hopefully this renaming works.
Comment 71 Roger 2009-12-10 05:36:42 UTC
Comment on attachment 210182 [details]
Ebuild which generates automatically mozconfig and localize automatically KompoZer

... one more time.  Hopefully this renaming works. (I initially forgot to run digest to verify if the naming format works.)
Comment 72 Roger 2009-12-10 05:38:47 UTC
Created attachment 212588 [details]
kompozer-0.8b1 Released Oct 11 2009

Minor changes/corrections as advised by people on Gentoo Sunrise IRC.

This is now keyworded and hopefully will be pushed into Sunrise within the near future!
Comment 73 Roger 2009-12-10 05:45:56 UTC
Created attachment 212589 [details]
This is WIP and the next version of kompozer-0.8_beta1.ebuild -- This is MASKED

The kompozer-0.8_beta2 version is a WIP of kompozer-0.8_beta1.ebuild which includes support for Linguas variable.

I have included comments within the ebuild for concerns from a developer on Gentoo Sunrise IRC.

Might want to get with the devs to resolve any issues or do the best you can with my comments within the ebuild.  I'm not a linguas expert. :-/
Comment 74 Dabrouch 2009-12-10 18:07:45 UTC
(In reply to comment #73)

Be careful roger, maybe you'll have to delete or comment these lines :

	# Remove useless file to avoid package-collision (by unregistr3d) :
	rm ${D}/usr/share/aclocal/nspr.m4


it breakes nspr package and the xulrunner fails to compile, and you'll have to reinstall nspr. I haven't encountered issue without removing nspr.m4 with my last ebuild, probably because the mozconfig eclass is the best way.

Keep it on.
Comment 75 Roger 2009-12-11 02:10:29 UTC
....mmm maybe I should initialize or put my name next to my comments -- and/or use FIXME's.  I'll make this my intent when or if I get around to publishing a new version of the ebuild.

For the meantime, here's the comments that were made within Gentoo Sunrise IRC prevening ebuild approval into Sunrise overlay:

# Recommended using ${PN}?? -- NOT DONE --

# Only gawk should be within DEPEND, all else in RDEPEND?? -- NOT DONE --


Only relevant to your newer WIP kompozer-0.8_beta2.ebuild:

# Someone in Gentoo Sunrise IRC recommends the following -- linguas() function -- be put in pkg_setup()?? -- NOT DONE --
(I put this right before the script for downloading the lang packs, but really I think it was in reference to linguas() function!  My fault, I'll try fixing this myself.)

#export MOZ_CO_PROJECT=composer should be relocated to within pkg_compile & pkg_install functions -- DONE -- I moved this myself, but did note it's more of a code readability thing as it causes an extra cpu cycle to read it twice.  Since it's minimal on resources, I just moved it and did little complaining. ;-)
Comment 76 Dominique Michel 2010-02-17 21:50:25 UTC
I try both the 0.8_beta1.ebuild and the ebuild from komposer svn. Bith are working, but in both cases, komposer is unusable. I don't no why, I don't even know if it is a problem with my system, with the ebuild or with the code,

kommpozer start, the main window is looking fine but the tips window, as well than all the other windows I try are wider than my desktop and overlapping on a few desk pages. They are so wide than it is very difficult to resize them. Some are even wider than my 8 desk pages making them impossible to resize. My desktop is fvwm with the fvwm-crystal themes.
Comment 77 Dominique Michel 2010-02-17 21:52:55 UTC
I forget. When I resize the overlapping windows, the buttons into those windows are not resizing.
Comment 78 Bertrand Piétu 2010-02-24 17:26:53 UTC
Kompozer 0.8b2 is out. it fails to emerge with kompozer-0.8_beta2.ebuild:

* ERROR: app-editors/kompozer-0.8_beta2 failed:
 *   error reading mozconfig: ac_add_options --enable-extensions="default spellcheck" 
 * 
 * Call stack:
 *     ebuild.sh, line   54:  Called src_configure
 *   environment, line 3548:  Called mozconfig_final
 *   environment, line 3017:  Called die
 * The specific snippet of code:
 *           [[ -z ${hash} || ${hash} == \# ]] || die "error reading mozconfig: ${ac} ${opt} ${hash} ${reason}";
Comment 79 Roger 2010-02-28 08:02:19 UTC
Footkill: Beta2 was out in early December and I masked/marked the ebuild as WIP (aka Work in Progress).  As to why it's marked as officially being release this month, God only knows... maybe for news?

Feel free to fix.  Think it might be as easy as removing the moz-config ac option.

I tried to push beta1 into the sunrise tree, but was rejected over trivial errors -- ie. process of operations, which some have a preference for a particular syntax that neither increases readability nor improves cpu operations.

imo, beta1 should have been accepted under terms to fix, rather then block completely from sunrise. I don't get much time to present an ebuild to the IRC group, for somebody not as understanding to simply reject. <shrugs>  ...beta2 ebuild is obviously not even ready for publishing.

From what I understand, Sunrise was suppose to release the restrictions, and provide a more readily means to publish ebuilds, instead, you still need to get the ebuild approved along with a password to publish. :-/

I absolutely dislike spending days on an ebuild, only to have it sit for months.  Mandrake had an excellent developer community.
Comment 80 Roger 2010-03-11 10:06:10 UTC
Created attachment 223127 [details]
kompozer-0.8_beta1.ebuild

Correct header.
Comment 81 Peter Humphrey 2010-03-14 15:02:03 UTC
I can't get kompozer-0.8_beta1 to run. I'm using the ebuild from this bug in /usr/local/portage/app-editors/konsole/ on this ~amd64 box.

If I don't have files/mozconfig-0.8_beta1 I get a config error:
configure: error: --enable-application=APP is required

If I do have it, emerge completes but the program segfaults:
$ kompozer
/usr/lib/kompozer/run-mozilla.sh: line 131: 13626 Segmentation fault     "$prog" ${1+"$@"}

I'll attach --info.
Comment 82 Peter Humphrey 2010-03-14 15:03:25 UTC
Created attachment 223531 [details]
emerge --info
Comment 83 Roger 2010-03-14 20:44:37 UTC
Most ebuilds likely have additional files which are to go into the /usr/portage/(package_folder)/(package_name)/files folder.

Just so happens, I took into consideration providing a good description where mozconfig-0.8_beta1 should go!

As far as the segfault, trouble shoot using strace and gdb -- to use gdb, you likely need to specify the binary directly as the *.sh is just a wrapper script... ie. gdb /usr/lib/kompozer/kompozer-bin

(If I'm not mistaken, mozconfig might be deprecated upstream for beta2, and this might be where beta2 needs work within the ebuild.)
Comment 84 Dominique Michel 2010-03-26 02:33:16 UTC
Created attachment 225283 [details]
New kompozer.desktop

I don't use gnome nor kde, so I am not sure about the picture.
Comment 85 Dominique Michel 2010-03-26 02:34:21 UTC
Created attachment 225285 [details]
Modifed mozcoreconf-2.eclass to work with kompozer
Comment 86 Dominique Michel 2010-03-26 02:41:52 UTC
Created attachment 225287 [details]
kompozer-0.8_beta3.ebuild

It is certainly not perfect. In fact it is a bug: with USE="ldap", the compilation fail on my ~amd64 system. But it work with USE="-ldap".

I can even use kompozer because all its windows are sizing correctly and looking good.

In order to use this ebuild, you must create am eclass directory into your personal overlay and install mozcoreconf-2.eclass into it.

This ebuild use the mozilla related eclasses.


TODO: implement the lingua packages.
Comment 87 Peter Humphrey 2010-03-26 11:56:39 UTC
Re comments 81, 83, 85 & 86, beta 3 now compiles and does not segfault immediately. Progress! - thanks for putting the work in. Now to see if I get any run-time problems.   :)

One thing, though - why the new dependence on doxygen and tex? It causes 45 packages to be installed on this box, apart from kompozer itself. No real problem, I just don't expect to use any of them.
Comment 88 Dominique Michel 2010-03-26 16:49:38 UTC
(In reply to comment #87)
> Re comments 81, 83, 85 & 86, beta 3 now compiles and does not segfault
> immediately. Progress! - thanks for putting the work in. Now to see if I get
> any run-time problems.   :)

Thanks for reporting!

> 
> One thing, though - why the new dependence on doxygen and tex? It causes 45
> packages to be installed on this box, apart from kompozer itself. No real
> problem, I just don't expect to use any of them.

I don't remember. It was very late when I done this. I  modified seamonkey ebuild. I already removed some depends, and I see that some depends are into the mozilla related eclass. My priority was to make something that work, but now the depends must be checked one more time.

For tex, it is necessary for the mathml stuf I think. It is not introduced by the ebuild but by one of the moz eclases if I remember well. I must check if mathml is working, it is a configure option for that in the sources.

Comment 89 Roger 2010-03-27 04:35:10 UTC
For the additional depends, try enabling/disabling use flags and pretend emerging verbosely.  Might show what's pulling in what.

Funny you mentioned, I'd be spending a little time helping but I'm in the process of tearing down my boxes and only installing essential packages (ie. minimalist Suckless DWM and -gnome -kde ... etc).  I find doing so causes emerge -uDNpv world to run in seconds versus minutes, and with fewer installed packages, fewer upgrades too!

For any package to, all of a sudden simply pull in an additional 43 packages would sound alarms in my head.
Comment 90 Roger 2010-03-27 04:38:02 UTC
Forgot, an example:
# USE="-java -sqlist" emerge -pv seamonkey
Comment 91 Peter Humphrey 2010-03-27 11:10:31 UTC
(In reply to comment #89)
> For the additional depends, try enabling/disabling use flags and pretend
> emerging verbosely.  Might show what's pulling in what.

I masked app-doc/doxygen instead, after unmerging all the 46 extra packages, and portage wailed. So a quick look in the ebuild showed doxygen as a DEPEND.

> For any package to, all of a sudden simply pull in an additional 43 packages
> would sound alarms in my head.

Indeed, it did, but they all seemed fairly harmless so I let it go.

So I'm still left wondering why kompozer needs doxygen. I may try removing that dependency and seeing what fails.
Comment 92 Dominique Michel 2010-03-27 18:59:16 UTC
Created attachment 225475 [details]
kompozer-0.8_beta3.ebuild

The LINGUAs should work.

I also added a "RESTRICT="nomirror" because it can be lot of files to download with the linguas and it is still an experimental ebuild.

I am also sure that the part of the ebuild that download the linguas files can be simplified, but I am not a bash expert and I just don't understand the used syntax. I can see that it work fine in my system, that's all.
Comment 93 Dominique Michel 2010-03-28 00:24:52 UTC
Created attachment 225499 [details]
kompozer 0.8b3 ebuild

It work now with the language^packs and the dictionaries. Use the modified mozcoreconf2 and mozextension eclasses.
Comment 94 Dominique Michel 2010-03-28 00:26:38 UTC
Created attachment 225501 [details]
modified mozcoreconf-2 eclass

Moved extensions configuration to the ebuild
Comment 95 Dominique Michel 2010-03-28 00:28:21 UTC
Created attachment 225503 [details]
mozextension eclass

Added xpi_dict_install in order to get the install path needed by kompozer.
Comment 96 Dominique Michel 2010-03-28 09:54:53 UTC
About kompozer, this post http://kazhack.org/?post/2009/11/03/Beware-of-scam-sites on the site of Kazé, the author pf kompozer, is interesting:

"I was having a look at the referrals for kompozer.net and I found this page http://www.thefreecountry.com/webmaster/htmleditors.shtml
...
Obvioulsy, “beware of scam sites” refers to net2.com, which looks like Nvu’s official website. As such, it’s asking for donations/support for the Nvu project; since this site gets a lot of traffic, it probably gets much more financial support than kompozer.net itself. It does not mention anywhere that Nvu has been discontinued in 2005, and it only mentions KompoZer as an “alternative version”.
...
The sad thing is, the owner of net2.com is the former CEO of Linspire, which sponsorred the Nvu project.
...
This is a historical mistake of the KompoZer project: KompoZer 0.7 has been developed on an Nvu 1.0 code base, and the goal was only to propose a few bug fixes to the Nvu project.

The situation is very different now: KompoZer 0.8 has been developed on a clean Mozilla code base and it doesn’t share much code with Nvu any more. The 0.8 branch is taking a different approach: Nvu was designed as a beginner tool, KompoZer 0.8 tries to be both a good learning  tool and to bring useful features for advanced users.

I’m very enthusiastic about the next development branch and the merge with SeaMonkey Composer...

don’t refer to KompoZer as “Nvu’s bug-fix release”: the official motto is “Easy Web Authoring!”

Comment 97 Roger 2010-03-28 11:10:06 UTC
... really an ethical issue.  The owner of Linspire can possibly make such issues as it was his code & his initial inspiration to begin with.  Even long after Kompozer deletes all the original code, as it was brought to life by Linspire/Nvu -- no matter how many times Kompozer changes it's name.  However, harassement is still harassement, etc.  Think I'd rather just stick to relevant issues here as this will easily transpire into everybody else's belief system.

Thanks for your work on this Dominique.
Comment 98 cx405 2010-05-13 21:24:58 UTC
$ eix kompozer
No matches found.


Im seriously wonder why kompozer ebuild is still not taken into portage tree.
Comment 99 matteo 2010-05-18 21:20:15 UTC
these ebuilds don't work!
Comment 100 Aleksandar Petrinic 2010-05-19 04:09:14 UTC
I tried kompozer 0.8b3 ebuild and it seems it works, but...

It doesn't like --as-needed and I had to remove italian language from LINGUAS because the italian file is missing and the process fails.
Comment 101 matteo 2010-05-19 08:05:16 UTC
kompozer 0.83b gives me this error:

 * ERROR: app-editors/kompozer-0.8_beta3 failed:
 *   error reading mozconfig: ac_add_options --enable-extensions="default spellcheck" 
 * 
 * Call stack:
 *     ebuild.sh, line   54:  Called src_configure
 *   environment, line 5293:  Called mozconfig_final
 *   environment, line 4721:  Called die
 * The specific snippet of code:
 *           [[ -z ${hash} || ${hash} == \# ]] || die "error reading mozconfig: ${ac} ${opt} ${hash} ${reason}";
 * 
 * If you need support, post the output of 'emerge --info =app-editors/kompozer-0.8_beta3',
 * the complete build log and the output of 'emerge -pqv =app-editors/kompozer-0.8_beta3'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 * The complete build log is located at '/var/tmp/portage/app-editors/kompozer-0.8_beta3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-editors/kompozer-0.8_beta3/temp/environment'.
 * S: '/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla'
Comment 102 Aleksandar Petrinic 2010-05-20 11:40:01 UTC
(In reply to comment #101)
> kompozer 0.83b gives me this error:
> 
>  * ERROR: app-editors/kompozer-0.8_beta3 failed:
>  *   error reading mozconfig: ac_add_options --enable-extensions="default
> spellcheck" 
>  * 
>  * Call stack:
>  *     ebuild.sh, line   54:  Called src_configure
>  *   environment, line 5293:  Called mozconfig_final
>  *   environment, line 4721:  Called die
>  * The specific snippet of code:
>  *           [[ -z ${hash} || ${hash} == \# ]] || die "error reading mozconfig:
> ${ac} ${opt} ${hash} ${reason}";
>  * 
>  * If you need support, post the output of 'emerge --info
> =app-editors/kompozer-0.8_beta3',
>  * the complete build log and the output of 'emerge -pqv
> =app-editors/kompozer-0.8_beta3'.
>  * This ebuild is from an overlay: '/usr/local/portage/'
>  * The complete build log is located at
> '/var/tmp/portage/app-editors/kompozer-0.8_beta3/temp/build.log'.
>  * The ebuild environment file is located at
> '/var/tmp/portage/app-editors/kompozer-0.8_beta3/temp/environment'.
>  * S: '/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla'
> 
It seems to me you completely forgot to use the 2 given eclass...
Comment 103 Dominique Michel 2010-05-20 22:52:49 UTC
(In reply to comment #100)
> I had to remove italian language from LINGUAS
> because the italian file is missing and the process fails.
> 
It work here. Must be an intermittent problem with kompozer server.
Comment 104 Jan Buecken 2010-06-29 00:10:23 UTC
(In reply to comment #103)
> (In reply to comment #100)
> > I had to remove italian language from LINGUAS
> > because the italian file is missing and the process fails.
> > 
> It work here. Must be an intermittent problem with kompozer server.
> 
Really? IMHO line 40
linguas_${X/-/_}? ( ${DICT_URI}/${MY_P}.${X}.xpi -> ${MY_P}-${X}.xpi )"
should be 
linguas_${X/-/_}? ( ${REL_URI}/${MY_P}.${X}.xpi -> ${MY_P}-${X}.xpi )"
Comment 105 Mike Gualtieri 2010-07-11 17:53:39 UTC
Had the same issue... replacing line 40 as suggested below works.

(In reply to comment #104)
> (In reply to comment #103)
> > (In reply to comment #100)
> > > I had to remove italian language from LINGUAS
> > > because the italian file is missing and the process fails.
> > > 
> > It work here. Must be an intermittent problem with kompozer server.
> > 
> Really? IMHO line 40
> linguas_${X/-/_}? ( ${DICT_URI}/${MY_P}.${X}.xpi -> ${MY_P}-${X}.xpi )"
> should be 
> linguas_${X/-/_}? ( ${REL_URI}/${MY_P}.${X}.xpi -> ${MY_P}-${X}.xpi )"
> 
Comment 106 Rabbe Fogelholm 2010-07-24 09:15:26 UTC
Editing line 40 of the ebuild, then running `ebuild kompozer-0.8_beta3.ebuild manifest' works for me too.

However, when I try `emerge kompozer' I run into

xargs: unmatched double quote; by default quotes are special to xargs unless you use the -0 option

The build.log has

Building kompozer-0.8_beta3 with the following configuration
    --enable-application=composer   mozilla.org default
    --enable-optimize               mozilla.org default
    --disable-debug                 mozilla.org default
    --enable-xpfe-components        mozilla.org default
    --disable-tests                 mozilla.org default
    --disable-installer             mozilla.org default
  ERROR: app-editors/kompozer-0.8_beta3 failed:
    error reading mozconfig: ac_add_options --enable-extensions="default spellcheck" 
  
  Call stack:
      ebuild.sh, line   54:  Called src_configure
    environment, line 5365:  Called mozconfig_final
    environment, line 4770:  Called die
  The specific snippet of code:
            [[ -z ${hash} || ${hash} == \# ]] || die "error reading mozconfig: ${ac} ${opt} ${hash} ${reason}";
  
  If you need support, post the output of 'emerge --info =app-editors/kompozer-0.8_beta3',
  the complete build log and the output of 'emerge -pqv =app-editors/kompozer-0.8_beta3'.
  This ebuild is from an overlay: '/usr/local/portage/'
!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.6  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.20"
JAVACFLAGS="-source 1.4 -target 1.4" COMPILER=""
and of course, the output of emerge --info

and `emerge --info' is

Portage 2.1.8.3 (default/linux/amd64/10.0/desktop, gcc-4.4.3, glibc-2.11.2-r0, 2.6.32-gentoo-r7 x86_64)
=================================================================
System uname: Linux-2.6.32-gentoo-r7-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7500_@_2.20GHz-with-gentoo-1.12.13
Timestamp of tree: Fri, 23 Jul 2010 10:30:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r99, 3.1.2-r3
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.4_p6, 1.7.9-r1, 1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       3.4.6-r2, 4.3.4, 4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.34
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.mdfnet.se/mirror/gentoo"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/voip /var/lib/layman/kvm /var/lib/layman/kde-sunset /var/lib/layman/sunrise /var/lib/layman/sage-on-gentoo /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb branding bzip2 cairo canon cdr cli consolekit corefonts cracklib crypt cups cxx dbus dri dts dvd dvdr emacs emboss encode exif fam firefox flac gdbm gif gpm gtk hal iconv java jpeg lcms libmms libnotify mad mikmod mmx mng modules mp3 mp4 mpeg mplayer mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl png ppds pppd python qt3support qt4 readline reflection sdl session spell spl sse sse2 ssl startup-notification subversion svg sysfs tcpd tiff truetype unicode usb vorbis x264 xcb xft xine xml xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia vesa vga" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 107 painteru 2010-08-22 14:28:43 UTC
Hi!
#emerge kompozer  died with this error:
.................
gmake[4]: Leaving directory `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/encoders/jpeg'
gmake[3]: Leaving directory `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/encoders'
gmake[3]: Entering directory `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/build'
/bin/sh: -c: line 3: syntax error: unexpected end of file
gmake[3]: *** [export] Error 1
gmake[3]: Leaving directory `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/build'
gmake[2]: *** [export] Error 2
gmake[2]: Leaving directory `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n'
gmake[1]: *** [tier_9] Error 2
gmake[1]: Leaving directory `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla'
make: *** [default] Error 2
 * ERROR: app-editors/kompozer-0.8_beta3 failed:
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line  54:  Called src_compile
 *   environment, line 5336:  Called die
 * The specific snippet of code:
 *       emake ${jobs} || die

Any idea?
Comment 108 Fitzcarraldo 2010-08-29 02:06:57 UTC
(In reply to comment #106)
> Editing line 40 of the ebuild, then running `ebuild kompozer-0.8_beta3.ebuild
> manifest' works for me too.
> 
> However, when I try `emerge kompozer' I run into
> 
> xargs: unmatched double quote; by default quotes are special to xargs unless
> you use the -0 option
> 
> The build.log has
> 
> Building kompozer-0.8_beta3 with the following configuration
>     --enable-application=composer   mozilla.org default
>     --enable-optimize               mozilla.org default
>     --disable-debug                 mozilla.org default
>     --enable-xpfe-components        mozilla.org default
>     --disable-tests                 mozilla.org default
>     --disable-installer             mozilla.org default
>   ERROR: app-editors/kompozer-0.8_beta3 failed:
>     error reading mozconfig: ac_add_options --enable-extensions="default
> spellcheck" 
> 
>   Call stack:
>       ebuild.sh, line   54:  Called src_configure
>     environment, line 5365:  Called mozconfig_final
>     environment, line 4770:  Called die
>   The specific snippet of code:
>             [[ -z ${hash} || ${hash} == \# ]] || die "error reading mozconfig:
> ${ac} ${opt} ${hash} ${reason}";
> 
>   If you need support, post the output of 'emerge --info
> =app-editors/kompozer-0.8_beta3',
>   the complete build log and the output of 'emerge -pqv
> =app-editors/kompozer-0.8_beta3'.
>   This ebuild is from an overlay: '/usr/local/portage/'
> !!! When you file a bug report, please include the following information:
> GENTOO_VM=sun-jdk-1.6  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.20"
> JAVACFLAGS="-source 1.4 -target 1.4" COMPILER=""
> and of course, the output of emerge --info
> 
> and `emerge --info' is
> 
> Portage 2.1.8.3 (default/linux/amd64/10.0/desktop, gcc-4.4.3, glibc-2.11.2-r0,
> 2.6.32-gentoo-r7 x86_64)
> =================================================================
> System uname:
> Linux-2.6.32-gentoo-r7-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7500_@_2.20GHz-with-gentoo-1.12.13
> Timestamp of tree: Fri, 23 Jul 2010 10:30:01 +0000
> app-shells/bash:     4.0_p37
> dev-java/java-config: 2.1.11
> dev-lang/python:     2.6.5-r99, 3.1.2-r3
> dev-util/cmake:      2.6.4-r3
> sys-apps/baselayout: 1.12.13
> sys-apps/sandbox:    1.6-r2
> sys-devel/autoconf:  2.13, 2.65
> sys-devel/automake:  1.4_p6, 1.7.9-r1, 1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
> sys-devel/binutils:  2.20.1-r1
> sys-devel/gcc:       3.4.6-r2, 4.3.4, 4.4.3-r2
> sys-devel/gcc-config: 1.4.1
> sys-devel/libtool:   2.2.6b
> virtual/os-headers:  2.6.34
> ACCEPT_KEYWORDS="amd64"
> ACCEPT_LICENSE="*"
> CBUILD="x86_64-pc-linux-gnu"
> CFLAGS="-march=core2 -O2 -pipe"
> CHOST="x86_64-pc-linux-gnu"
> CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
> /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
> CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/
> /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d
> /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d
> /etc/texmf/updmap.d /etc/texmf/web2c"
> CXXFLAGS="-march=core2 -O2 -pipe"
> DISTDIR="/usr/portage/distfiles"
> FEATURES="assume-digests distlocks fixpackages news parallel-fetch
> protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
> GENTOO_MIRRORS="http://mirror.mdfnet.se/mirror/gentoo"
> LDFLAGS="-Wl,-O1"
> MAKEOPTS="-j3"
> PKGDIR="/usr/portage/packages"
> PORTAGE_CONFIGROOT="/"
> PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
> --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles
> --exclude=/local --exclude=/packages"
> PORTAGE_TMPDIR="/var/tmp"
> PORTDIR="/usr/portage"
> PORTDIR_OVERLAY="/var/lib/layman/voip /var/lib/layman/kvm
> /var/lib/layman/kde-sunset /var/lib/layman/sunrise
> /var/lib/layman/sage-on-gentoo /usr/local/portage"
> SYNC="rsync://rsync.gentoo.org/gentoo-portage"
> USE="X a52 aac acl acpi alsa amd64 berkdb branding bzip2 cairo canon cdr cli
> consolekit corefonts cracklib crypt cups cxx dbus dri dts dvd dvdr emacs emboss
> encode exif fam firefox flac gdbm gif gpm gtk hal iconv java jpeg lcms libmms
> libnotify mad mikmod mmx mng modules mp3 mp4 mpeg mplayer mudflap multilib
> ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl png ppds
> pppd python qt3support qt4 readline reflection sdl session spell spl sse sse2
> ssl startup-notification subversion svg sysfs tcpd tiff truetype unicode usb
> vorbis x264 xcb xft xine xml xorg xulrunner xv xvid xvmc zlib"
> ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x
> ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3
> trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw
> asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa
> lfloat linear meter mmap_emul mulaw multi null plug rate route share shm
> softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon
> authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile
> authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock
> deflate dir disk_cache env expires ext_filter file_cache filter headers include
> info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif
> speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc"
> INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz
> cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18"
> USERLAND="GNU" VIDEO_CARDS="nvidia vesa vga" XTABLES_ADDONS="quota2 psd pknock
> lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit
> sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
> Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG,
> LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS,
> PORTAGE_RSYNC_EXTRA_OPTS
> 

Did you copy the two eclass files to /usr/local/portage/eclass/ ?
Comment 109 niogic 2010-08-29 13:09:36 UTC
Created attachment 245218 [details]
New path for all dictionaries.

Resolves locale fetch problem.
Comment 110 niogic 2010-08-29 16:35:47 UTC
Created attachment 245245 [details]
strip -Wl,--as-needed LD flag

This quick 'n' dirty workaround allowed me to build Kompozer, which otherwise died in the final linking time.

The messages were the same as this bug (where I found the workaround):
http://bugs.sourcemage.org/show_bug.cgi?id=15220


If someone want to inspect deeper what cause --as-needed to break, take a seat and obsolete this ebuild.
Comment 111 Jory A. Pratt gentoo-dev 2010-08-29 16:46:48 UTC
Mozilla herd has no interest in this hense the removal.
Comment 112 Roger 2010-08-29 18:21:06 UTC
The history on this specific bug is getting quite lengthy.

Might be wise to close this bug and open a new bug on the next release ... and post a link to link the two bugs together?

...just a thought.
Comment 113 niogic 2010-08-29 20:04:32 UTC
(In reply to comment #112)
> The history on this specific bug is getting quite lengthy.
You haven't seen mozilla bugs, then!

But for gentoo standard yes, it's quite long and that's good because usually bugs get fixed quite soon!
This isn't being resolved because it doesn't fit QA and gentoo standards for in-tree ebuilds.

This ebuild might get into the sunrise overlay, though.


> Might be wise to close this bug and open a new bug on the next release ...
It's not standard practices. Bug id refers to this bug you can't just bump bugs that way.
Gentoo devs would get angry.
Comment 114 Roger 2010-09-06 23:46:00 UTC
Created attachment 246326 [details]
Kompozer failed emerge: error reading mozconfig: ac_add_options --enable-extensions="default spellcheck"
Comment 115 Greg Turner 2010-09-16 13:38:24 UTC
(In reply to comment #107)
> Hi!
> #emerge kompozer  died with this error:
> .................
> gmake[4]: Leaving directory
> `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/encoders/jpeg'
> gmake[3]: Leaving directory
> `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/encoders'
> gmake[3]: Entering directory
> `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/build'
> /bin/sh: -c: line 3: syntax error: unexpected end of file
> gmake[3]: *** [export] Error 1
> gmake[3]: Leaving directory
> `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/build'
> gmake[2]: *** [export] Error 2
> gmake[2]: Leaving directory
> `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n'
> gmake[1]: *** [tier_9] Error 2
> gmake[1]: Leaving directory
> `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla'
> make: *** [default] Error 2
>  * ERROR: app-editors/kompozer-0.8_beta3 failed:
>  *   (no error message)
>  * 
>  * Call stack:
>  *     ebuild.sh, line  54:  Called src_compile
>  *   environment, line 5336:  Called die
>  * The specific snippet of code:
>  *       emake ${jobs} || die
> 
> Any idea?
> 

This seems to be caused by the sandbox feature.  I think it is a caused by a conflict between FEATURES="sandbox" and the xpi_unpack function used in the ebuild.
Comment 116 Greg Turner 2010-09-16 13:42:20 UTC
(In reply to comment #115)
> (In reply to comment #107)
> > Hi!
> > #emerge kompozer  died with this error:
> > .................
> > gmake[4]: Leaving directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/encoders/jpeg'
> > gmake[3]: Leaving directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/encoders'
> > gmake[3]: Entering directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/build'
> > /bin/sh: -c: line 3: syntax error: unexpected end of file
> > gmake[3]: *** [export] Error 1
> > gmake[3]: Leaving directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/build'
> > gmake[2]: *** [export] Error 2
> > gmake[2]: Leaving directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n'
> > gmake[1]: *** [tier_9] Error 2
> > gmake[1]: Leaving directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla'
> > make: *** [default] Error 2
> >  * ERROR: app-editors/kompozer-0.8_beta3 failed:
> >  *   (no error message)
> >  * 
> >  * Call stack:
> >  *     ebuild.sh, line  54:  Called src_compile
> >  *   environment, line 5336:  Called die
> >  * The specific snippet of code:
> >  *       emake ${jobs} || die
> > 
> > Any idea?
> > 
> 
> This seems to be caused by the sandbox feature.  I think it is a caused by a
> conflict between FEATURES="sandbox" and the xpi_unpack function used in the
> ebuild.
> 

nope... scratch that theory off, just disconfirmed it.  It's intermittent on my box so there seems to be some kind of race condition :(

Running "ebuild" instead of "emerge" seems to help... sigh.
Comment 117 Greg Turner 2010-09-16 13:50:27 UTC
(In reply to comment #115)
> (In reply to comment #107)
> > Hi!
> > #emerge kompozer  died with this error:
> > .................
> > gmake[4]: Leaving directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/encoders/jpeg'
> > gmake[3]: Leaving directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/encoders'
> > gmake[3]: Entering directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/build'
> > /bin/sh: -c: line 3: syntax error: unexpected end of file
> > gmake[3]: *** [export] Error 1
> > gmake[3]: Leaving directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/build'
> > gmake[2]: *** [export] Error 2
> > gmake[2]: Leaving directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n'
> > gmake[1]: *** [tier_9] Error 2
> > gmake[1]: Leaving directory
> > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla'
> > make: *** [default] Error 2
> >  * ERROR: app-editors/kompozer-0.8_beta3 failed:
> >  *   (no error message)
> >  * 
> >  * Call stack:
> >  *     ebuild.sh, line  54:  Called src_compile
> >  *   environment, line 5336:  Called die
> >  * The specific snippet of code:
> >  *       emake ${jobs} || die
> > 
> > Any idea?
> > 
> 
> This seems to be caused by the sandbox feature.  I think it is a caused by a
> conflict between FEATURES="sandbox" and the xpi_unpack function used in the
> ebuild.

Oh, I get it.  It's not intermittent, it just spews an error message it doesn't mean.  Which means I have no idea what's going on.  Ignore me please.
Comment 118 Greg Turner 2010-09-16 14:52:54 UTC
(In reply to comment #116)
> (In reply to comment #115)
> > (In reply to comment #107)
> > > Hi!
> > > #emerge kompozer  died with this error:
> > > .................
> > > gmake[4]: Leaving directory
> > > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/encoders/jpeg'
> > > gmake[3]: Leaving directory
> > > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/encoders'
> > > gmake[3]: Entering directory
> > > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/build'
> > > /bin/sh: -c: line 3: syntax error: unexpected end of file
> > > gmake[3]: *** [export] Error 1
> > > gmake[3]: Leaving directory
> > > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n/build'
> > > gmake[2]: *** [export] Error 2
> > > gmake[2]: Leaving directory
> > > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/modules/libpr0n'
> > > gmake[1]: *** [tier_9] Error 2
> > > gmake[1]: Leaving directory
> > > `/var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla'
> > > make: *** [default] Error 2
> > >  * ERROR: app-editors/kompozer-0.8_beta3 failed:
> > >  *   (no error message)
> > >  * 
> > >  * Call stack:
> > >  *     ebuild.sh, line  54:  Called src_compile
> > >  *   environment, line 5336:  Called die
> > >  * The specific snippet of code:
> > >  *       emake ${jobs} || die
> > > 
> > > Any idea?
> > > 
> > 
> > This seems to be caused by the sandbox feature.  I think it is a caused by a
> > conflict between FEATURES="sandbox" and the xpi_unpack function used in the
> > ebuild.
> > 
> 
> nope... scratch that theory off, just disconfirmed it.  It's intermittent on my
> box so there seems to be some kind of race condition :(
> 
> Running "ebuild" instead of "emerge" seems to help... sigh.
> 

OK... pretty wierd, since this was never a problem for me until now... but it seems to want this patch:

--- modules/libpr0n/build/Makefile.in.orig      2010-09-16 07:15:40.652637377 -0700
+++ modules/libpr0n/build/Makefile.in   2010-09-16 07:16:01.099761521 -0700
@@ -107,8 +107,6 @@
        @{ \
        $(foreach d,$(filter-out icon,$(MOZ_IMG_DECODERS)), \
                echo "#define IMG_BUILD_DECODER_${d}";) \
-       $(foreach d,$(MOZ_IMG_ENCODERS), \
-               echo "#define IMG_BUILD_ENCODER_${d}";) \
        } > nsImgBuildDefines.tmp
        @if `cmp -s nsImgBuildDefines.h nsImgBuildDefines.tmp`; then \
                rm -f nsImgBuildDefines.tmp; \
<--snip

or, perhaps it is better to remove the other two lines, idk... anyhow epatching this in the middle of _prepare() allowed the emerge to succeed.
Comment 119 Roger 2011-01-16 08:23:29 UTC
I found the bug I listed within Comment #114.

In file /var/tmp/portage/app-editors/kompozer-0.8_beta3/work/mozilla/.mozconfig

The line containing:
ac_add_options --enable-extensions="default spellcheck"

Is inappropriately formated.  Looking further down within the file you see this same data properly formated (likely by the ebuild itself):
ac_add_options --enable-extensions=default,spellcheck,webdav,-gnomevfs #

For some reason, "default spellcheck" is sneaking into this .mozconfig file spawning this bug!


I'm also noticing this ebuild is pretty much a copy/paste of www-client/seamonkey ebuild -- which should be noted within the ebuild someplace to advise anybody trying to fix, a further place for reference upstream encase it's already (likely) fixed already within the seamonkey ebuild.  ...just my two sense here ;-)  ... I noticed something about a build error with cairo, documented and fixed within the seamonkey ebuild.
Comment 120 Roger 2011-01-16 09:20:20 UTC
Created attachment 259994 [details]
Removes a line within mozconfig containing syntax mozconfig_final couldn't handle

Bug mentioned within Comment #114 & #Comment 119 now fixed.

Seems there was a line within the .mozconfig file within source tarball's root folder containing a line with a syntax the mozconfig (mozconfig_final) could not handle and would breaking during configure.

I added the section with the header "# seamonkey has issues with >=x11-libs/cairo-1.10.0 (bug #337813)."  Grepping configure output should cairo was an option, and current stable cairo-1.8.10 -- so likely fixed a future bug.

I added the section with the header "# Ensure we always build with C locale." defining locales.
Comment 121 Roger 2011-01-16 10:25:11 UTC
I'm now seeing Kompozer failing to compile, more exactly xulrunner, failing to compile against libpng-1.4.3

nsPNGEncoder.cpp:114: error: 'png_voidp_NULL' was not declared in this scope

See Bug #319575 and Bug #323513.  Bug #323513 seems more relevant and I might try it's attached patch.  However, since this package is not in portage yet, I should try unmasking a higher version of libpng to see if this section of code with then compile.
Comment 122 Roger 2011-01-16 11:07:40 UTC
With the revelation of this libpng bug, which was present within seamonkey-1.1.8 (see Bug #323513), made me wonder how old the Mozilla code was.

Doing a grep of the sources shows:
./client.mk:MOZ_CO_TAG           = FIREFOX_2_0_0_20_RELEASE

Another idea idea is to just use Seamonkey's composer -- minus the bells & whistles of Kompozer.  And, seamonkey is now at version 2.0.11.
Comment 123 Roger 2011-01-16 11:23:24 UTC
Created attachment 259998 [details]
Fixes building with libpng14. See Bug #319575 and Bug #323513.
Comment 124 Roger 2011-01-16 11:24:50 UTC
Created attachment 259999 [details]
Added seamonkey-libpng14.patch

Added seamonkey-libpng14.patch
Comment 125 Roger 2011-01-16 11:35:58 UTC
/usr/include/pango-1.0/pango/pangocairo.h:69: error: 'cairo_font_type_t' was not declared in this scope
/usr/include/pango-1.0/pango/pangocairo.h:72: error: 'cairo_font_type_t' does not name a type

Googling proves fruitless for solutions at this point.  This seems to be related to pango & cairo, and might even be an upstream bug at this point fixed in later versions.

At this point, I might drop this and just use Seamonkey Composer unless the author makes a new release -- which would likely fix this pango/cairo bug.
Comment 126 Jan Buecken 2011-04-04 16:50:21 UTC
(In reply to comment #125)
> /usr/include/pango-1.0/pango/pangocairo.h:69: error: 'cairo_font_type_t' was
> not declared in this scope
> /usr/include/pango-1.0/pango/pangocairo.h:72: error: 'cairo_font_type_t' does
> not name a type


The following works for me:
I added (please pay attention to linebreaks...):

--- kompozer-0.8_beta3.ebuild   2011-04-04 18:43:01.000000000 +0200
+++ kompozer-0.8_beta3-r1.ebuild        2011-04-04 18:41:22.000000000 +0200
@@ -228,6 +228,9 @@
        mozconfig_annotate 'places' --enable-storage --enable-places
        mozconfig_annotate '' --disable-installer
        mozconfig_annotate '' --with-default-mozilla-five-home=${MOZILLA_FIVE_HOME}
+
+       #fix ‘cairo_font_type_t’ was not declared in this scope, use system cairo instead of mozilla cairo
+       mozconfig_annotate '' --enable-system-cairo
 
        # Enable/Disable based on USE flags
        mozconfig_use_enable java javaxpcom



I found this solution in
https://bugzilla.mozilla.org/show_bug.cgi?id=387239

Now in the build.log I found

[...]
==========================================================
Building kompozer-0.8_beta3-r1 with the following configuration
[...]
    --disable-system-cairo          gentoo
[...]
    --enable-system-cairo           mozilla.org default
[...]

But I think the second one overwrites the first.

greetings 
Jan
Comment 127 Jan Buecken 2011-04-04 17:02:44 UTC
(In reply to comment #126)

> +       #fix ‘cairo_font_type_t’ was not declared in this scope, use system
> cairo instead of mozilla cairo

I forgot to mention the real problem (I believe its not cairo), following comment 1 in

https://bugzilla.mozilla.org/show_bug.cgi?id=387239

I believe its pango: "However recent pango versions requires cairo 1.2 or greater"

That should be pointed out in a new ebuild, maybe.

Thus another solution could be to change the dependecies to old versions of pango, maybe? But I'm not going to test if this is really the problem. Its a guess only.
Comment 128 Peter Humphrey 2011-05-02 19:09:58 UTC
I've recently returned to using Kompozer, and on my standard amd64 box (not ~amd74) I get copious errors like this:

/usr/lib64/libcrmf.a(crmfenc.o): In function `CRMF_EncodeCertReqMessages':
(.text+0x29): undefined reference to `SEC_ASN1Encode_Util'

This is in the compiling stage (at least, cpp is the last program mentioned before the errors). I believe the package involved is libnss; remerging that doesn't help.

I have a package dating from last June, and this installs fine and the program runs, but when it stops it evaporates - no trace of the binary can be found.
Comment 129 Roger 2011-05-05 05:24:30 UTC
Read the recent comments here.

I think most are just waiting for Kompozer to release it's own fixes, versus us hacking into the source.